> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/grant-category.md).

# GrantCategory

Represent a grant category. Grant categories are used to categorize access controls with `action=Grant` to allow structuring them better.

```graphql
type GrantCategory {
  allowDuplicateNames: Boolean!
  allowedWhatItems: GrantCategoryAllowedWhatItems!
  allowedWhoItems: GrantCategoryAllowedWhoItems!
  canCreate: Boolean!
  createdAt: Time!
  defaultTypePerDataSource: [GrantCategoryTypeForDataSource!]
  description: String!
  descriptionMandatory: Boolean!
  globalExceptions: Boolean!
  icon: String!
  id: ID!
  isDefault: Boolean!
  isSystem: Boolean!
  locksOnCreate: [AccessControlLock!]
  modifiedAt: Time!
  multiDataSource: Boolean!
  name: String!
  namePlural: String!
  nameRegEx: String
  nameRegExMsg: String
  namingHintRegEx: String
  namingHintRegExMsg: String
}
```

### Fields

#### allowDuplicateNames ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#allow-duplicate-names" id="allow-duplicate-names"></a>

If true, it is possible to create multiple access controls with the same name in this category. Otherwise, this will be blocked.

#### allowedWhatItems ● [`GrantCategoryAllowedWhatItems!`](/api/graphql/data-access/object-types/grant-category-allowed-what-items.md) non-null object <a href="#allowed-what-items" id="allowed-what-items"></a>

Specifies which types can be put as WHAT items for access controls in this category.

#### allowedWhoItems ● [`GrantCategoryAllowedWhoItems!`](/api/graphql/data-access/object-types/grant-category-allowed-who-items.md) non-null object <a href="#allowed-who-items" id="allowed-who-items"></a>

Specifies which types can be put as WHO items for access controls in this category.

#### canCreate ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#can-create" id="can-create"></a>

If true, access controls of this category can be created in the UI.

#### createdAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#created-at" id="created-at"></a>

The time at which the grant category was created.

#### defaultTypePerDataSource ● [`[GrantCategoryTypeForDataSource!]`](/api/graphql/data-access/object-types/grant-category-type-for-data-source.md) list object <a href="#default-type-per-data-source" id="default-type-per-data-source"></a>

For each data source, a default access control type can be specified.

#### description ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#description" id="description"></a>

Description of the grant category.

#### descriptionMandatory ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#description-mandatory" id="description-mandatory"></a>

If true, providing a description for access controls in this category is mandatory.

#### globalExceptions ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#global-exceptions" id="global-exceptions"></a>

If true, no local exceptions for masks and filters are calculated for corresponding access controls. Regular global exceptions will be used instead.

#### icon ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#icon" id="icon"></a>

The icon to use in the user interface to identify grants of this category.

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

A unique identifier for the grant category.

#### isDefault ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#is-default" id="is-default"></a>

If true, new access controls will be created in this category as default and imported (external) access controls will also be in this category.

#### isSystem ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#is-system" id="is-system"></a>

If true, this grant category is provisioned by the system and cannot be edited or removed.

#### locksOnCreate ● [`[AccessControlLock!]`](/api/graphql/data-access/enumerations/access-control-lock.md) list enum <a href="#locks-on-create" id="locks-on-create"></a>

The locks that need to be set when an access control in this category is created.

#### modifiedAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#modified-at" id="modified-at"></a>

The time at which the grant category was last modified.

#### multiDataSource ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#multi-data-source" id="multi-data-source"></a>

If true, access controls in this category can be linked to multiple data sources. Otherwise, they will be limited to a single data source.

#### name ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

Display name for the grant category.

#### namePlural ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#name-plural" id="name-plural"></a>

The plural form of the display name for the grant category.

#### nameRegEx ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#name-reg-ex" id="name-reg-ex"></a>

If specified, the name of access controls in this category need to comply with the given regular expression.

#### nameRegExMsg ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#name-reg-ex-msg" id="name-reg-ex-msg"></a>

The message shown to the user when the name does not comply with the regular expression.

#### namingHintRegEx ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#naming-hint-reg-ex" id="naming-hint-reg-ex"></a>

If specified, the naming hint of access controls in this category need to comply with the given regular expression.

#### namingHintRegExMsg ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#naming-hint-reg-ex-msg" id="naming-hint-reg-ex-msg"></a>

The message shown to the user when the name does not comply with the regular expression.

### Returned By

[`grantCategories`](/api/graphql/data-access/queries/grant-categories.md) query

### Member Of

[`AccessControl`](/api/graphql/data-access/object-types/access-control.md) object ● `ReviewScheduleAccessControlTypes` object

### Implemented By

[`GrantCategoryResult`](/api/graphql/data-access/unions/grant-category-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/grant-category.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
